Bug 170777 - CVE-2005-2973 ipv6 infinite loop
CVE-2005-2973 ipv6 infinite loop
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Don Howard
Brian Brock
reported=20051014,source=vendorsec,im...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-10-14 11:09 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0191
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 12:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2005-10-14 11:09:18 EDT
+++ This bug was initially created as a clone of Bug #170772 +++

Tetsuo Handa reported a infinite loop allowing a local user to crash a ipv6
enabled kernel.

http://linux.bkbits.net:8080/linux-2.6/cset@4342df67SNhRx_3FGhUrrU-FXLlQIA

When looking at this update I noticed another patch that we might be missing,
not checked into it's ability to have a security relevance:

http://linux.bkbits.net:8080/linux-2.6/cset@4341a0f6Dq8vTKy1SDtDVxuJUrQaRg
Comment 1 Don Howard 2005-10-18 14:54:01 EDT
See bug #170772 for a reproducer. 

cat 65536 > /proc/sys/fs/file-max
modprobe ipv6
then run the reproducer.
Comment 5 Red Hat Bugzilla 2006-02-01 12:56:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0191.html

Note You need to log in before you can comment on or make changes to this bug.